#ifndef XAUDIOXMAFORMAT_H
#define XAUDIOXMAFORMAT_H

#include "xasset.h"

class XAudioXmaFormat : public XAsset
{
public:
    XAudioXmaFormat();
    ~XAudioXmaFormat();

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

private:
    quint32 mSampleRate;
    quint8 mChannelCount;
    quint8 mDecodeBufferSize;
};

#endif // XAUDIOXMAFORMAT_H
